<!-- Sidebar Start -->
<div id="sidebar">
          <div id="welcome">
            <p><?php include(TEMPLATEPATH . '/welcome.php'); ?></p>
          </div>
          <div id="rss"><a href="<?php bloginfo('rss2_url'); ?>"><img src="<?php bloginfo('stylesheet_directory'); ?>/images/spacer.gif" width="56" height="50" alt="Rss Feed" /></a></div>
          <div id="search">
            <?php include(TEMPLATEPATH . '/searchform.php'); ?>
          </div>

          <ul id="menu">
			<?php if ( function_exists('dynamic_sidebar') && dynamic_sidebar() ) : else : ?>
            <li id="cat">
              <h2>Categories</h2>
              <ul>
                <?php wp_list_cats('sort_column=name&optioncount=1&hierarchical=1'); ?>
              </ul>
            </li>
            <li id="archives">
              <h2>Archives</h2>
              <ul>
                <?php wp_get_archives('type=monthly'); ?>
              </ul>
            </li>
            <?php if( !is_single() ): // Hide if is single start ?>
            <li id="recent-posts">
              <h2>Recent Posts</h2>
              <ul>
                <?php get_archives('postbypost', 5); ?>
              </ul>
            </li>
            <li id="recent-comments">
              <?php get_recent_comments(array('number' => 5, 'title_show' => true)); ?>
            </li>
            <?php endif; // Hide if is single end ?>
            <li id="linkcat" class="widget widget_links">
              <?php get_friend_links(array('title')); ?>
            </li>
            <li id="meta">
              <h2>Meta</h2>
              <ul>
                <?php wp_register(); ?>
                <li>
                  <?php wp_loginout(); ?>
                </li>
                <li><a href="http://validator.w3.org/check/referer">Valid <abbr title="eXtensible HyperText Markup Language">XHTML</abbr></a></li>
                <li><a href="http://gmpg.org/xfn/"><abbr title="XHTML Friends Network">XFN</abbr></a></li>
                <?php wp_meta(); ?>
              </ul>
            </li>
            <li id="tag_cloud">
              <h2>Tags</h2>
              <ul>
                <li>
                  <?php wp_tag_cloud('sort_column=name&optioncount=1&hierarchical=0'); ?>
                </li>
              </ul>
            </li>
            <?php endif; ?>
            <li id="adsense1">
              <?php include(TEMPLATEPATH . '/adsense1.php'); ?>
            </li>
          </ul>
        </div>
<!-- Sidebar end -->